Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1268493 - dnf system upgrade fails due to conflict between plasma-systemsettings.f22 kde-workspace.f21
Summary: dnf system upgrade fails due to conflict between plasma-systemsettings.f22 kd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: upgrade-conflicts
TreeView+ depends on / blocked
 
Reported: 2015-10-02 23:03 UTC by rob.dyck
Modified: 2016-04-01 05:48 UTC (History)
11 users (show)

Fixed In Version: plasma-systemsettings-5.5.5-2.fc24 plasma-systemsettings-5.5.5-2.fc23 plasma-systemsettings-5.5.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-27 21:58:01 UTC
Type: Bug


Attachments (Terms of Use)

Description rob.dyck 2015-10-02 23:03:45 UTC
I was attempting a system upgrade of version 21 KDE spin. It failed due to conflicts.

Running transaction test
Error: Transaction check error:
  file /usr/share/doc/HTML/en/systemsettings/index.cache.bz2 from install of plasma-systemsettings-5.4.1-1.fc22.x86_64 conflicts with file from package kde-workspace-4.11.18-3.fc21.x86_64
  file /usr/share/doc/HTML/en/systemsettings/index.docbook from install of plasma-systemsettings-5.4.1-1.fc22.x86_64 conflicts with file from package kde-workspace-4.11.18-3.fc21.x86_64

Always reproducible.

Steps to reproduce:

dnf system-upgrade --releasever 22 download

Actual results:

Files were successfully downloaded but transaction test failed.

Expected results:

Expected no error messages and system ready for reboot.
Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-10-04 16:30:16 UTC
$ dnf install plasma-systemsettings
...
Error: Transaction check error:
  file /usr/share/doc/HTML/en/systemsettings/index.cache.bz2 from install of plasma-systemsettings-5.4.1-1.fc22.x86_64 conflicts with file from package kde-workspace-4.11.18-3.fc21.x86_64
  file /usr/share/doc/HTML/en/systemsettings/index.docbook from install of plasma-systemsettings-5.4.1-1.fc22.x86_64 conflicts with file from package kde-workspace-4.11.18-3.fc21.x86_64

It would be nice if plasma-systemsettings could Obsolete kde-workspace. Apart from this bug, I have run into a similar error with kde-workspace myself.

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-10-04 16:36:42 UTC
It fails even with --allowerasing, so the user has to know to uninstall the kde-workspace package beforehand.

Comment 3 rob.dyck 2015-10-04 16:46:22 UTC
[root@blacky rdyck]# dnf install plasma-systemsettings
Using metadata from Mon Sep 28 03:25:21 2015 (6 days, 6:11:17 hours old)
No package plasma-systemsettings available.
Error: no package matched: plasma-systemsettings

I suspect I would have an unworkable system if I uninstalled kde-workspace.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-10-04 16:59:37 UTC
Yes, that's part of the problem. When doing a full upgrade, I see:

plasma-desktop  x86_64   5.4.1-2.fc22.1  updates        5.7 M
     replacing  kde-workspace.x86_64 4.11.18-3.fc21

But when plasma-desktop is not pulled in for whatever, the transaction conflict occurs.

Comment 5 rob.dyck 2015-10-04 17:09:27 UTC
We need a tool in dnf that fakes an erase so that the upgrade can proceed.

Comment 6 Rex Dieter 2015-10-04 18:08:47 UTC
plasma-desktop already includes:

Obsoletes:      kde-workspace < 5.0.0-1

which should be effective for system upgrades to remove and replace kde-workspace from f21.  That's the upgrade path desired:

kde-workspace -> plasma-desktop


Why is dnf not respecting that here?

Comment 7 Rex Dieter 2015-10-04 18:13:35 UTC
Would adding to plasma-systemsettings:

Conflicts:      kde-workspace < 5.0.0-1

help give a hint to the dep solver to look for Obsoletes?

Comment 8 Zbigniew Jędrzejewski-Szmek 2015-10-05 14:18:53 UTC
(In reply to Rex Dieter from comment #6)
> plasma-desktop already includes:
> 
> Obsoletes:      kde-workspace < 5.0.0-1
> 
> which should be effective for system upgrades to remove and replace
> kde-workspace from f21.  That's the upgrade path desired:
> 
> kde-workspace -> plasma-desktop
> 
> 
> Why is dnf not respecting that here?
It is possible for have plasma-systemsetting and not plasma-desktop in the transaction. Then there's nothing to tell dnf that the transaction will fail until the transaction check.

(In reply to Rex Dieter from comment #7)
> Would adding to plasma-systemsettings:
> 
> Conflicts:      kde-workspace < 5.0.0-1
> 
> help give a hint to the dep solver to look for Obsoletes?

Yes, I think it will. It will also fix the transaction problem.

Comment 9 Zbigniew Jędrzejewski-Szmek 2015-10-07 01:47:28 UTC
(In reply to Rex Dieter from comment #7)
> Would adding to plasma-systemsettings:
> 
> Conflicts:      kde-workspace < 5.0.0-1
> 
> help give a hint to the dep solver to look for Obsoletes?

Reassigning so that this doesn't get lost.

Comment 12 Fedora Update System 2016-03-23 12:17:55 UTC
plasma-systemsettings-5.5.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eeafa423d3

Comment 13 Fedora Update System 2016-03-23 12:18:50 UTC
plasma-systemsettings-5.5.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c9ae954c0

Comment 14 Fedora Update System 2016-03-23 12:19:38 UTC
plasma-systemsettings-5.5.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-69f0123658

Comment 15 Fedora Update System 2016-03-23 19:55:46 UTC
plasma-systemsettings-5.5.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eeafa423d3

Comment 16 Fedora Update System 2016-03-24 01:00:46 UTC
plasma-systemsettings-5.5.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-69f0123658

Comment 17 Fedora Update System 2016-03-24 01:52:52 UTC
plasma-systemsettings-5.5.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c9ae954c0

Comment 18 Fedora Update System 2016-03-27 21:57:56 UTC
plasma-systemsettings-5.5.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-03-28 01:19:03 UTC
plasma-systemsettings-5.5.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-04-01 05:48:18 UTC
plasma-systemsettings-5.5.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.